org.keycloak.email

## Interface EmailTemplateProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    FreeMarkerEmailTemplateProvider

      public interface EmailTemplateProvider
      extends Provider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IDENTITY_PROVIDER_BROKER_CONTEXT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendConfirmIdentityBrokerLink(String link, long expirationInMinutes)` Send to confirm that user wants to link his account with identity broker link
    `void` | `sendEvent(Event event)`
    `void` | `sendExecuteActions(String link, long expirationInMinutes)` Change password email requested by admin
    `void` | `sendPasswordReset(String link, long expirationInMinutes)` Reset password sent from forgot password link on login
    `void` | `sendVerifyEmail(String link, long expirationInMinutes)`
    `EmailTemplateProvider` | `setAttribute(String name, Object value)`
    `EmailTemplateProvider` | `setRealm(RealmModel realm)`
    `EmailTemplateProvider` | `setUser(UserModel user)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### IDENTITY_PROVIDER_BROKER_CONTEXT

          static final String IDENTITY_PROVIDER_BROKER_CONTEXT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setRealm

          EmailTemplateProvider setRealm(RealmModel realm)

    - #### setUser

          EmailTemplateProvider setUser(UserModel user)

    - #### setAttribute

          EmailTemplateProvider setAttribute(String name,
                                             Object value)

    - #### sendEvent

          void sendEvent(Event event)
                  throws EmailException

      Throws:
        `EmailException`

    - #### sendPasswordReset

          void sendPasswordReset(String link,
                                 long expirationInMinutes)
                          throws EmailException

      Reset password sent from forgot password link on login
      Parameters:
        `link` -
        `expirationInMinutes` -
      Throws:
        `EmailException`

    - #### sendConfirmIdentityBrokerLink

          void sendConfirmIdentityBrokerLink(String link,
                                             long expirationInMinutes)
                                      throws EmailException

      Send to confirm that user wants to link his account with identity broker link
      Throws:
        `EmailException`

    - #### sendExecuteActions

          void sendExecuteActions(String link,
                                  long expirationInMinutes)
                           throws EmailException

      Change password email requested by admin
      Parameters:
        `link` -
        `expirationInMinutes` -
      Throws:
        `EmailException`

    - #### sendVerifyEmail

          void sendVerifyEmail(String link,
                               long expirationInMinutes)
                        throws EmailException

      Throws:
        `EmailException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.